> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Status

> Transation



## OpenAPI

````yaml /openapi/connect.json post /transaction/status
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /transaction/status:
    post:
      tags:
        - ''
      summary: Transaction Status
      description: Transation
      operationId: 'Getting a transtation status '
      requestBody:
        description: Transtation status
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransationStatus'
        required: true
      responses:
        '200':
          description: Transation Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransationStatusResponses'
        '400':
          description: Transaction not found
      security:
        - bearerAuth: []
components:
  schemas:
    TransationStatus:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          example: RI-48d9315bf1fa
    TransationStatusResponses:
      type: object
      properties:
        status:
          type: string
          example: 200
        message:
          type: string
          example: success
        success:
          type: string
          example: 'true'
        data:
          type: object
          properties:
            transaction_status:
              type: string
              example: success
            fee:
              type: integer
              example: 73
            transaction_amount:
              type: integer
              example: 10100
            channel:
              type: string
              example: transfer
            balBefore:
              type: integer
              example: 798761
            created_at:
              type: string
              example: '2024-01-16T20:42:15.439Z'
            merchant_name:
              type: string
              example: Merchant Name.Limited
            settled_amount:
              type: integer
              example: 14427
            balAfter:
              type: integer
              example: 20000
            currency:
              type: string
              example: NGN
            email:
              type: string
              example: payments@getflick.co
            status:
              type: string
              example: '00'
            transaction_ref:
              type: string
              example: bcdc-7770c71f7ae7
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.